

#include "BUILTIN.h"

#include "CAST.h"
extern OBJ _ACAST_Acast(OBJ);OBJ __ACAST_Acast; /* cast */

#include "CAST.hc.c"

static OBJ _mt_1_0_1(OBJ t,OBJ t1) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ))ENTRY(t))(t1);
 return r;}
static OBJ _mt_1_0_1_l(OBJ t,OBJ t1) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ))ENTRY(t))(t1);
 COPY(r,1);LZYCLS(t,r);
 return r;}

init_ACAST()
{
 static int visited=0; if(visited) return; visited=1;
 CLS(1,_ACAST_3,__ACAST_3);
 MTH(1,0,1,_mt_1_0_1);LZYMTH(1,0,1,_mt_1_0_1_l);
 init_const_ACAST();}

